org.richfaces.fragment.tooltip

## Class RichFacesTooltip.AdvancedTooltipInteractions

- java.lang.Object
- - org.richfaces.fragment.tooltip.RichFacesTooltip.AdvancedTooltipInteractions

- All Implemented Interfaces:
    VisibleComponentInteractions
  Enclosing class:
    RichFacesTooltip<CONTENT>

      public class RichFacesTooltip.AdvancedTooltipInteractions
      extends Object
      implements VisibleComponentInteractions

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesTooltip.AdvancedTooltipInteractions()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `acquireLastVisibleTooltipIDIfNotSet()`
    `protected Event` | `getHideEvent()`
    `protected String` | `getIdOfTooltip()`
    `org.openqa.selenium.WebElement` | `getRootElement()`
    `protected Event` | `getShowEvent()`
    `protected org.openqa.selenium.WebElement` | `getTarget()`
    `long` | `getTimeoutForTooltipToBeVisible()`
    `long` | `getTimoutForTooltipToBeNotVisible()`
    `org.openqa.selenium.WebElement` | `getTooltipElement()` Show the tooltip before this method.
    `protected int` | `getTooltipsBefore()`
    `protected ByJQuery` | `getTooltipsSelector()`
    `protected void` | `initiateTooltipsBefore()`
    `boolean` | `isVisible()`
    `void` | `setHideEvent()`
    `void` | `setHideEvent(Event event)`
    `protected void` | `setIdOfTooltip(String id)`
    `void` | `setShowEvent()`
    `void` | `setShowEvent(Event event)`
    `void` | `setTarget()`
    `void` | `setTarget(org.openqa.selenium.WebElement target)`
    `void` | `setTimeoutForTooltipToBeVisible(long timeoutInMilliseconds)`
    `void` | `setTimoutForTooltipToBeNotVisible(long timeoutInMilliseconds)`
    `WaitingWrapper` | `waitUntilTooltipIsNotVisible()`
    `WaitingWrapper` | `waitUntilTooltipIsVisible()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RichFacesTooltip.AdvancedTooltipInteractions

          public RichFacesTooltip.AdvancedTooltipInteractions()

  - ### Method Detail

    - #### acquireLastVisibleTooltipIDIfNotSet

          protected void acquireLastVisibleTooltipIDIfNotSet()

    - #### getHideEvent

          protected Event getHideEvent()

    - #### getIdOfTooltip

          protected String getIdOfTooltip()

    - #### getRootElement

          public org.openqa.selenium.WebElement getRootElement()

    - #### setIdOfTooltip

          protected void setIdOfTooltip(String id)

    - #### getShowEvent

          protected Event getShowEvent()

    - #### getTarget

          protected org.openqa.selenium.WebElement getTarget()

    - #### getTooltipsBefore

          protected int getTooltipsBefore()

    - #### getTooltipsSelector

          protected ByJQuery getTooltipsSelector()

    - #### getTooltipElement

          public org.openqa.selenium.WebElement getTooltipElement()

      Show the tooltip before this method. It will return actual tooltip element (element depends on the tooltip's visible state).

    - #### initiateTooltipsBefore

          protected void initiateTooltipsBefore()

    - #### isVisible

          public boolean isVisible()

      Specified by:
        `isVisible` in interface `VisibleComponentInteractions`

    - #### setHideEvent

          public void setHideEvent()

    - #### setHideEvent

          public void setHideEvent(Event event)

    - #### setShowEvent

          public void setShowEvent()

    - #### setShowEvent

          public void setShowEvent(Event event)

    - #### setTarget

          public void setTarget()

    - #### setTarget

          public void setTarget(org.openqa.selenium.WebElement target)

    - #### waitUntilTooltipIsNotVisible

          public WaitingWrapper waitUntilTooltipIsNotVisible()

    - #### waitUntilTooltipIsVisible

          public WaitingWrapper waitUntilTooltipIsVisible()

    - #### setTimoutForTooltipToBeNotVisible

          public void setTimoutForTooltipToBeNotVisible(long timeoutInMilliseconds)

    - #### getTimoutForTooltipToBeNotVisible

          public long getTimoutForTooltipToBeNotVisible()

    - #### setTimeoutForTooltipToBeVisible

          public void setTimeoutForTooltipToBeVisible(long timeoutInMilliseconds)

    - #### getTimeoutForTooltipToBeVisible

          public long getTimeoutForTooltipToBeVisible()

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.